Build #2 for constraint-reflection-0.1.0.0

[all reports]

Package constraint-reflection-0.1.0.0
Install DependencyFailed constraint-reflection-0.1.0.0
Docs NotTried
Tests NotTried
Time submitted 2018-05-08 11:33:10.613375203 UTC
Compiler ghc-8.2.2
OS linux
Arch x86_64
Dependencies base-4.10.1.0, category-0.2.0.1, constraint-0.1.1.1, reflection-2.1.3
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring util-0.1.10.0...
Configuring reflection-2.1.3...
Building reflection-2.1.3...
Building util-0.1.10.0...
Failed to install util-0.1.10.0
Build log ( /home/builder/.cabal/logs/ghc-8.2.2/util-0.1.10.0-2sAi33bJKVZ1SmmumOGo87.log ):
cabal: Entering directory '/tmp/cabal-tmp-888/util-0.1.10.0'
Configuring util-0.1.10.0...
Preprocessing library for util-0.1.10.0..
Building library for util-0.1.10.0..
[1 of 2] Compiling Util             ( Util.hs, dist/build/Util.o )

Util.hs:152:28: error:
    • Could not deduce (Semigroup b) arising from a use of ‘<>’
      from the context: (Applicative p, Monoid b, Foldable f)
        bound by the type signature for:
                   foldMapA :: forall (p :: * -> *) b (f :: * -> *) a.
                               (Applicative p, Monoid b, Foldable f) =>
                               (a -> p b) -> f a -> p b
        at Util.hs:151:1-77
      Possible fix:
        add (Semigroup b) to the context of
          the type signature for:
            foldMapA :: forall (p :: * -> *) b (f :: * -> *) a.
                        (Applicative p, Monoid b, Foldable f) =>
                        (a -> p b) -> f a -> p b
    • In the first argument of ‘liftA2’, namely ‘(<>)’
      In the first argument of ‘(.)’, namely ‘liftA2 (<>)’
      In the first argument of ‘foldr’, namely ‘(liftA2 (<>) . f)’
    |
152 | foldMapA f = foldr (liftA2 (<>) . f) (pure mempty)
    |                            ^^^^
cabal: Leaving directory '/tmp/cabal-tmp-888/util-0.1.10.0'
Installed reflection-2.1.3
cabal: Error: some packages failed to install:
alg-0.2.4.0-H2RsRY8kSkc5aJTtf9t7X4 depends on alg-0.2.4.0 which failed to
install.
category-0.2.0.1-35iyfpPVOG9FEduXXqCjFR depends on category-0.2.0.1 which
failed to install.
constraint-0.1.1.1-18IMV1aILDk6bymIuDoBGN depends on constraint-0.1.1.1 which
failed to install.
constraint-reflection-0.1.0.0-4O0MWe2mqPTGlvs7DiRMFm depends on
constraint-reflection-0.1.0.0 which failed to install.
util-0.1.10.0-2sAi33bJKVZ1SmmumOGo87 failed during the building phase. The
exception was:
ExitFailure 1